@import "src/sass/global";

.loader {
  width: 3rem;
  height: 3rem;

  border: 0.6rem solid white;
  border-top-color: dodgerblue;
  border-radius: 100%;

  margin: 0 auto;

  animation: spinner 1s linear infinite;

  &.mini {
    width: 2rem;
    height: 2rem;

    border-width: 0.36rem;
  }

  @keyframes spinner {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
}
